Author Topic: Nightly above r6701 require a theme  (Read 8132 times)

0 Members and 1 Guest are viewing this topic.

Offline prissi

  • Developer
  • Administrator
  • *
  • Posts: 8821
  • Total likes: 322
  • Helpful: 229
  • Languages: De,EN,JP
Nightly above r6701 require a theme
« on: September 12, 2013, 10:05:21 PM »
Any nightly of 6702 or higher requires a folder themes/ in the program's directory. Just unpack the attached content of the zipfile into your program directory.

Offline Dwachs

  • DevTeam, Coder/patcher
  • Administrator
  • *
  • Posts: 4251
  • Total likes: 177
  • Helpful: 149
  • Languages: EN, DE, AT
Re: Nightly above r6701 require a theme
« Reply #1 on: September 14, 2013, 08:54:09 AM »
I took the freedom to add default files with r6710, the default skin was in the repository as well.
Parsley, sage, rosemary, and maggikraut.

Offline Iluvalar

Re: Nightly above r6701 require a theme
« Reply #2 on: September 19, 2014, 08:02:19 PM »
Quote

FATAL ERROR: simmain() - No GUI themes found! Please re-install!
Was the error code I was getting before I did that. Tought it would be good to mention it for google...




Quote

FATAL ERROR: gui_theme_t::init_gui_themes - Wrong theme loaded
But now I got that new error.


I'm trying to follow http://simutrans-germany.com/wiki/wiki/tiki-index.php?page=en_CompilingSimutrans wich also seem it could use a little update.


Can someone help me with that new error message ? What am I doing wrong ?
« Last Edit: September 20, 2014, 01:56:00 AM by Iluvalar »

Offline An_dz

  • Web Admin
  • Administrator
  • *
  • Posts: 2594
  • Total likes: 290
  • Helpful: 89
  • D'oh
    • by An_dz
  • Languages: PT, EN, (it, de)
Re: Nightly above r6701 require a theme
« Reply #3 on: September 20, 2014, 01:07:36 AM »
You posted the exact same error message, so don't seem we can really help.

Offline Iluvalar

Re: Nightly above r6701 require a theme
« Reply #4 on: September 20, 2014, 01:55:42 AM »
oops
Quote

FATAL ERROR: gui_theme_t::init_gui_themes - Wrong theme loaded
Sorry about that, copy pasting is an art I don't seem to master yet.

Offline An_dz

  • Web Admin
  • Administrator
  • *
  • Posts: 2594
  • Total likes: 290
  • Helpful: 89
  • D'oh
    • by An_dz
  • Languages: PT, EN, (it, de)
Re: Nightly above r6701 require a theme
« Reply #5 on: September 21, 2014, 03:15:22 AM »
You're not using the themes provided by prissi in this post, are you? I'm afraid this version is outdated and might not work with the latest nightlies (r7000+)

If you're compiling Simutrans, the latest themes are available at /trunk/simutrans/themes/ and its sources at /trunk/themes.src/

If you're downloading from the nightlies website just download from the right box (incl. history, log and DLLs as zip). It includes all needed files, like the themes.

Offline Iluvalar

Re: Nightly above r6701 require a theme
« Reply #6 on: September 21, 2014, 04:40:49 PM »
I guess It worth relating the whole story now...


First I went to your download link. But I got that error :
Quote

./simutrans: error while loading shared libraries: libbz2.so.1.0: cannot open shared object file: No such file or directory
So after a long research about that error I got that my best chance was to recompile de source instead. So I cloned using git and followed the instructions there.


http://simutrans-germany.com/wiki/wiki/tiki-index.php?page=en_CompilingSimutrans


But I couldnt find the executable at the end. I learned by someone on IRC that doing


Quote
make clean
autoconf
./configure
make
Was much better and I finaly found the executable. This is where I got this error :


Quote
FATAL ERROR: simmain() - No GUI themes found! Please re-install!
Which I just solved now by copying /themes /text and /font from the from the nightly build download (in step one) into my git folders. It's now working.

I think the wiki page need a good update because it was quite a trip.

Everything work now.

Offline Ters

  • Coder/patcher
  • Devotee
  • *
  • Posts: 4864
  • Total likes: 202
  • Helpful: 108
  • Languages: EN, NO
Re: Nightly above r6701 require a theme
« Reply #7 on: September 21, 2014, 05:30:43 PM »
Which I just solved now by copying /themes /text and /font from the from the nightly build download (in step one) into my git folders. It's now working.

I think it's better to copy the executable from the build directory to the directory where you unpacked the nightly. That way you can more safely clean the build directory of old stuff without also deleting the game.

Offline Isaac.Eiland-Hall

  • Benevolent Dictator
  • Administrator
  • *
  • Posts: 3429
  • Total likes: 319
  • Helpful: 91
  • PanamaCityPC.com/support/
    • Facebook Profile
  • Languages: EN
Re: Nightly above r6701 require a theme
« Reply #8 on: October 11, 2014, 09:07:30 AM »
Related to this... I just noticed the pak128 half-height nightly, so I've tried to get it working. I'm having some problems, so I decided to completely start over.

I've gone to the nightly site, and downloaded an appropriate executable, and pak64 and pak128 nightlies, but the former only contains the exe, and the latter only contain the paksets. Where's the nightly download that includes the config/text/theme/etc files? I've scoured the nightly site and can't find it. I did find a broken link to report elsewhere, but not the correct download. :(

Offline Ters

  • Coder/patcher
  • Devotee
  • *
  • Posts: 4864
  • Total likes: 202
  • Helpful: 108
  • Languages: EN, NO
Re: Nightly above r6701 require a theme
« Reply #9 on: October 11, 2014, 10:29:41 AM »
They are in plain sight on the right hand side of the nightly page, although the heading for that column is somewhat of an understatement.

Offline Isaac.Eiland-Hall

  • Benevolent Dictator
  • Administrator
  • *
  • Posts: 3429
  • Total likes: 319
  • Helpful: 91
  • PanamaCityPC.com/support/
    • Facebook Profile
  • Languages: EN
Re: Nightly above r6701 require a theme
« Reply #10 on: October 12, 2014, 04:36:54 AM »
I read that page a dozen times and managed to miss the header every time, else I wouldn't have asked. Sorry, and thanks :)

Offline Ters

  • Coder/patcher
  • Devotee
  • *
  • Posts: 4864
  • Total likes: 202
  • Helpful: 108
  • Languages: EN, NO
Re: Nightly above r6701 require a theme
« Reply #11 on: October 12, 2014, 08:35:05 AM »
"Hidden in plain sight" isn't an idiom for nothing.

Offline Isaac.Eiland-Hall

  • Benevolent Dictator
  • Administrator
  • *
  • Posts: 3429
  • Total likes: 319
  • Helpful: 91
  • PanamaCityPC.com/support/
    • Facebook Profile
  • Languages: EN
Re: Nightly above r6701 require a theme
« Reply #12 on: November 21, 2014, 06:03:18 AM »
Just downloaded 120.0.1 via simutrans.com links. No themes folder. Downloaded one from the latest nightly and that seems to work so far.

Offline prissi

  • Developer
  • Administrator
  • *
  • Posts: 8821
  • Total likes: 322
  • Helpful: 229
  • Languages: De,EN,JP
Re: Nightly above r6701 require a theme
« Reply #13 on: November 21, 2014, 10:06:48 PM »
The only one on SF without themes was the Linux version (for whatever reason). The windows had already thems, same for mac.

Offline Isaac.Eiland-Hall

  • Benevolent Dictator
  • Administrator
  • *
  • Posts: 3429
  • Total likes: 319
  • Helpful: 91
  • PanamaCityPC.com/support/
    • Facebook Profile
  • Languages: EN
Re: Nightly above r6701 require a theme
« Reply #14 on: November 23, 2014, 03:35:49 AM »
Ah, no love for Linux, I see how it is. ;-)

Offline prissi

  • Developer
  • Administrator
  • *
  • Posts: 8821
  • Total likes: 322
  • Helpful: 229
  • Languages: De,EN,JP
Re: Nightly above r6701 require a theme
« Reply #15 on: November 24, 2014, 10:18:56 PM »
I am not sure why the distribute skript did not add them properly.